#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,l;
    cin >> n >> l;
    bool stuck=false;
    int r=-1;

    for(int i=0; i<n; i++)
    {
        int x;
        cin >> x;
        if(l>=x && !stuck)
        {
            stuck=true;
            r=i+1;
        }

    }




    cout << r << endl;
    return 0;
}